This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 489550 - (qtscriptgenerator) Review Request: qtscriptgenerator - A tool to generate Qt bindings for Qt Script
Review Request: qtscriptgenerator - A tool to generate Qt bindings for Qt Script
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 13:05 EDT by Rex Dieter
Modified: 2009-04-21 21:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.1.0-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 11:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-03-10 13:05:25 EDT
Spec URL: http://rdieter.fedorapeople.org/pkg-reviews/qtscriptgenerator/qtscriptgenerator.spec
SRPM URL: http://rdieter.fedorapeople.org/pkg-reviews/qtscriptgenerator/qtscriptgenerator-0.1.0-1.fc10.src.rpm
Description:
Qt Script Generator is a tool that generates Qt bindings for Qt Script.
With the generated bindings you get access to substantial portions of
the Qt API from within Qt Script.


scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1235096
Comment 1 Rex Dieter 2009-03-20 12:34:56 EDT
Spec URL:
http://rdieter.fedorapeople.org/pkg-reviews/qtscriptgenerator/qtscriptgenerator.spec
SRPM URL:
http://rdieter.fedorapeople.org/pkg-reviews/qtscriptgenerator/qtscriptgenerator-0.1.0-2.fc10.src.rpm

%changelog
Fri Mar 20 2009 Rex Dieter <rdieter@fdoraproject.org> 0.1.0-2
- qt-4.5.0-7 fixed wrt phonon, drop no_phonon patch


Will issue new scratch build as soon as the fixed qt lands in koji buildroot.
Comment 2 Orcan Ogetbil 2009-03-23 03:13:18 EDT
Hello. This is needed for the next amarok release, right? I downloaded qt-4.5.0-8.fc11 (and the corresponding qt-devel, qt-x11) from koji and tried to build qtscriptgenerator against them with mock (rawhide). The build fails with

----------------------------------------------------------------------
cd qtscript_phonon/ && make -f Makefile
make[1]: Entering directory `/builddir/build/BUILD/qtscriptgenerator-src-0.1.0/qtbindings/qtscript_phonon'
make -f Makefile.Release
make[2]: Entering directory `/builddir/build/BUILD/qtscriptgenerator-src-0.1.0/qtbindings/qtscript_phonon'
make[2]: *** No rule to make target `../../generated_cpp/com_trolltech_qt_phonon/main.cpp', needed by `release/main.o'.  Stop.
make[2]: Leaving directory `/builddir/build/BUILD/qtscriptgenerator-src-0.1.0/qtbindings/qtscript_phonon'
make[1]: *** [release] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/qtscriptgenerator-src-0.1.0/qtbindings/qtscript_phonon'
make: *** [sub-qtscript_phonon-make_default] Error 2
---------------------------------------------------------------------

It looks like there's something wrong. Do I need to download anything else from koji?
Comment 3 Rex Dieter 2009-03-23 07:31:30 EDT
odd, it built for me locally, I'll try a new scratch build.
Comment 4 Rex Dieter 2009-03-23 07:34:07 EDT
In the meantime, you could try 
http://rdieter.fedorapeople.org/pkg-reviews/qtscriptgenerator/qtscriptgenerator-0.1.0-1.fc10.src.rpm
which omits the problematic phonon bits.
Comment 7 Jaroslav Reznik 2009-03-24 10:13:36 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: builds in Koji
 [x] Rpmlint output: 
    - W: devel-file-in-non-devel-package
      these are only symlinks, so I think it's OK
 [-] Package is not relocatable.
 [x] Buildroot is correct
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [?] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in koji.
     - http://koji.fedoraproject.org/koji/taskinfo?taskID=1254267
 [x] Package should compile and build into binary rpms on all supported
architectures.
     - http://koji.fedoraproject.org/koji/taskinfo?taskID=1254267
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.

=== SUMMARY ===
- package name:
    qtscriptgenerator? these are already generated bindings - so maybe better name
    is qtscriptbindings or similar?
- documentation and examples should be packaged
Comment 8 Rex Dieter 2009-03-24 13:40:51 EDT
%changelog
* Tue Mar 24 2009 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-5
- qtscriptgenerator/qtscriptbindings pkgs 
- qtscriptbindings: include docs, examples

Spec URL:
http://rdieter.fedorapeople.org/pkg-reviews/qtscriptgenerator/qtscriptgenerator.spec
SRPM URL:
http://rdieter.fedorapeople.org/pkg-reviews/qtscriptgenerator/qtscriptgenerator-0.1.0-5.fc10.src.rpm
Comment 9 Rex Dieter 2009-03-24 13:49:01 EDT
Adjusting summary to match new spec
Comment 10 Jaroslav Reznik 2009-03-25 08:31:11 EDT
Two comments:
- qsexec could/should be in qtscriptgenerator package
- the same with README and README.qsexec (maybe LICENSE.GPL too as it applies for generator, not bindings?)
Comment 11 Rex Dieter 2009-03-25 09:02:33 EDT
I thought about keeping qsexec along with the bindings, but I'm ok either way.

Licensing... I attached it to the pkg lowest in the stack (qtscriptgenerator currently Requires: qtscriptbindings).  Again, I'm ok either way.

Any remaining review blockers?  (that other stuff can be modified post-review, no?)
Comment 12 Jaroslav Reznik 2009-03-25 10:14:33 EDT
It's OK for me now, so

APPROVED
Comment 13 Rex Dieter 2009-03-25 10:24:05 EDT
Thanks.

New Package CVS Request
=======================
Package Name: qtscriptgenerator
Short Description: A tool to generate Qt bindings for Qt Script
Owners: rdieter
Branches: F-9 F-10
Comment 14 Kevin Fenzi 2009-03-27 16:13:31 EDT
cvs done.
Comment 15 Rex Dieter 2009-04-07 11:44:39 EDT
imported
Comment 16 Fedora Update System 2009-04-08 15:52:53 EDT
qtscriptgenerator-0.1.0-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/qtscriptgenerator-0.1.0-5.fc9
Comment 17 Fedora Update System 2009-04-08 15:53:07 EDT
qtscriptgenerator-0.1.0-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qtscriptgenerator-0.1.0-5.fc10
Comment 18 Fedora Update System 2009-04-21 20:51:19 EDT
qtscriptgenerator-0.1.0-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-04-21 21:01:42 EDT
qtscriptgenerator-0.1.0-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.